
//===============================================================
#ifndef _BOMBS_H_
#define _BOMBS_H_
//===============================================================

#define Bomb_MaxBombs   80

#define Bomb_Power      5000
#define Bomb_Range      60.0f

//----------
//Bomb
//----------
struct BOMB
{
	bool Active;

	float BPower;
	VECTOR3D Pos;
	VECTOR3D Sme;

};

//--------------------------------------------------------------
// Name: Bullet System class
// Desc: praca s lietajucimi gulkami
//--------------------------------------------------------------
class BOMBSYSTEM
{
private:

	MODEL Model;

	BOMB Bomb[Bomb_MaxBombs];

	//vseobecna koliza s objektami
	bool Collision(VECTOR3D P1, VECTOR3D P2);

public: 

	//ci su priatelske alebo nepriatelse
	bool Friendly;
	bool UnFriendly;

	void Initialize();
	void Reset();
	void Refresh();
	void SpawnBomb(VECTOR3D Pos, VECTOR3D Rot, float BPower);

};


//===============================================================
#endif // _BOMBS_H_